Subject: Re: [PATCH net-next] net: axienet: Use NAPI for TX completion path

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 May 2022 11:08:17 -0700

On Thu, 5 May 2022 17:33:39 +0000 Robert Hancock wrote:
> On Wed, 2022-05-04 at 19:20 -0700, Jakub Kicinski wrote:
> > On Mon, 2 May 2022 19:30:51 +0000 Radhey Shyam Pandey wrote:  
> > > Thanks for the patch. I assume for simulating heavy network load we
> > > are using netperf/iperf. Do we have some details on the benchmark
> > > before and after adding TX NAPI? I want to see the impact on
> > > throughput.  
> > 
> > Seems like a reasonable ask, let's get the patch reposted 
> > with the numbers in the commit message.  
> 
> Didn't mean to ignore that request, looks like I didn't get Radhey's email
> directly, odd.
> 
> I did a test with iperf3 from the board (Xilinx MPSoC ZU9EG platform) connected
> to a Linux PC via a switch at 1G link speed. With TX NAPI in place I saw about
> 942 Mbps for TX rate, with the previous code I saw 941 Mbps. RX speed was also
> unchanged at 941 Mbps. So no real significant change either way. I can spin
> another version of the patch that includes these numbers.

Sounds like line rate, is there a difference in CPU utilization?